import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Button, Text, ScrollView } from '@tarojs/components';

import OrderItem from '../components/OrderItem/OrderItem';

import './OrderList.scss';

type PageOwnProps = {};

type PageState = {};

class OrderList extends Component {
  config: Config = {
    navigationBarTitleText: '订单',
  };

  render() {
    return (
      <View className='OrderList'>
        <View className='Tab'>
          <Text className='Tab-item active'>待付款</Text>
          <Text className='Tab-item'>全部</Text>
        </View>
        <ScrollView
          className='OrderList-Content'
          scrollY
          scrollWithAnimation
          scrollTop={0}>
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
          <OrderItem />
        </ScrollView>
      </View>
    );
  }
}

export default OrderList as ComponentClass<PageOwnProps, PageState>;
