import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Button, Text, ScrollView } from '@tarojs/components';

import './OrderItem.scss';

type PageOwnProps = {};
type PageState = {};

interface OrderItemProps {
  id: number;
}

class OrderItem extends Component<OrderItemProps> {
  render() {
    return (
      <View className='OrderItem'>
        <View className='OrderItem-text'>
          <Text>消费说明：</Text>
          <Text>饮水消费</Text>
        </View>
        <View className='OrderItem-text'>
          <Text>消费时间：</Text>
          <Text>2018-12-01 17:30:23</Text>
        </View>
        <View className='OrderItem-price'>￥ 0.12</View>
        <View>去支付</View>
      </View>
    );
  }
}

export default OrderItem as ComponentClass<PageOwnProps, PageState>;
